libpgplot-perl_2.21-8_amd64.deb


Advertisement

Description

libpgplot-perl - perl interface to the pgplot plotting library

Property Value
Distribution Debian 10 (Buster)
Repository Debian Main amd64
Package filename libpgplot-perl_2.21-8_amd64.deb
Package name libpgplot-perl
Package version 2.21
Package release 8
Package architecture amd64
Package type deb
Category devel::lang:perl devel::library implemented-in::c implemented-in::perl perl role::devel-lib role::shared-lib
Homepage https://metacpan.org/release/PGPLOT
License -
Maintainer Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Download size 40.41 KB
Installed size 150.00 KB
The PGPLOT module provides a perl interface to the pgplot libraries used for
plotting and visualizing scientific data. It is particularly popular for
plotting astronomical data. Compared to using pgplot from C or FORTRAN,
these Perl bindings allow for a faster, more interactive development.

Alternatives

Package Version Architecture Repository
libpgplot-perl_2.21-8_i386.deb 2.21 i386 Debian Main
libpgplot-perl - - -

Requires

Name Value
libc6 >= 2.4
libcpgplot0 -
libpgplot0 -
perl >= 5.28.0-3
perlapi-5.28.0 -

Download

Type URL
Mirror ftp.br.debian.org
Binary Package libpgplot-perl_2.21-8_amd64.deb
Source Package libpgplot-perl

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libpgplot-perl deb package:
    # sudo apt-get install libpgplot-perl

Files

Path
/usr/lib/x86_64-linux-gnu/perl5/5.28/PGPLOT.pm
/usr/lib/x86_64-linux-gnu/perl5/5.28/auto/PGPLOT/PGPLOT.so
/usr/share/doc/libpgplot-perl/README.Debian
/usr/share/doc/libpgplot-perl/changelog.Debian.gz
/usr/share/doc/libpgplot-perl/changelog.gz
/usr/share/doc/libpgplot-perl/copyright
/usr/share/man/man3/PGPLOT.3pm.gz
/usr/share/man/man3/pgperl.3.gz

Changelog

2018-11-21 - gregor herrmann <gregoa@debian.org>
libpgplot-perl (1:2.21-8) unstable; urgency=medium
[ Salvatore Bonaccorso ]
* Update Vcs-* headers for switch to salsa.debian.org
[ gregor herrmann ]
* Add patch to disable interactive tests. (Closes: #914288)
* Update years of packaging copyright.
* Declare compliance with Debian Policy 4.2.1.
* Bump debhelper compatibility level to 10.
* Remove trailing whitespace from debian/*.
2017-07-23 - gregor herrmann <gregoa@debian.org>
libpgplot-perl (1:2.21-7) unstable; urgency=medium
* debian/copyright: change Copyright-Format 1.0 URL to HTTPS.
* Remove Carlo Segre from Uploaders. Thanks for your work!
* Build-Depend on giza-dev instead of pgplot5. (Closes: #869135)
* Remove chrpath from debian/{control,rules}.
Not needed anymore with the giza library.
* Move from contrib to main as a result of switching to a free
dependency. Also drop XS-Autobuild from debian/control.
* Add debian/tests/pkg-perl/smoke-files to get all files needed for
autopkgtest's smoke test.
* Enable tests during build.
* Update years of packaging copyright.
* Add a patch to disable a version check in test12.
The check referred to the version of pgplot but we are using giza.
Thanks to Ole Streicher for the patch.
* Declare compliance with Debian Policy 4.0.0.
2016-04-10 - gregor herrmann <gregoa@debian.org>
libpgplot-perl (1:2.21-6) unstable; urgency=medium
[ Salvatore Bonaccorso ]
* debian/control: Use HTTPS transport protocol for Vcs-Git URI
[ gregor herrmann ]
* Ack NMU, thanks Tobi.
* Update years of packaging copyright.
* Add bindnow linker flag.
* Declare compliance with Debian Policy 3.9.8.
* Manually build and upload amd64 + i386 binaries.
Closes: #808331
2016-04-10 - Tobias Frost <tobi@debian.org>
libpgplot-perl (1:2.21-5.1) unstable; urgency=medium
* Non-maintainer upload.
* Change B-D from libpng12-dev to libpng-dev (Closes: #809864)
2014-08-19 - Damyan Ivanov <dmn@debian.org>
libpgplot-perl (1:2.21-5) unstable; urgency=medium
* Team upload
+ rebuild with perl 5.20
[ Salvatore Bonaccorso ]
* Update Vcs-Browser URL to cgit web frontend
2014-04-24 - Florian Schlichting <fsfs@debian.org>
libpgplot-perl (1:2.21-4) unstable; urgency=low
* Team upload
[ gregor herrmann ]
* debian/copyright: update wording of Comment about copyright
ownership.
* Strip trailing slash from metacpan URLs.
[ Salvatore Bonaccorso ]
* Change Vcs-Git to canonical URI (git://anonscm.debian.org)
* Change search.cpan.org based URIs to metacpan.org based URIs
[ Axel Beckert ]
* debian/copyright: migrate pre-1.0 format to 1.0 using "cme fix dpkg-
copyright"
[ Florian Schlichting ]
* Switch dh compatibility to level 9 to enable passing of hardening flags
* Declare compliance with Debian Policy 3.9.5
* Expand long description
* Do not link against unused libraries
2011-12-29 - Carlo Segre <segre@debian.org>
libpgplot-perl (1:2.21-3) unstable; urgency=low
[ Ansgar Burchardt ]
* debian/control: Convert Vcs-* fields to Git.
[ Salvatore Bonaccorso ]
* debian/copyright: Replace DEP5 Format-Specification URL from
svn.debian.org to anonscm.debian.org URL.
[ gregor herrmann ]
* Spelling patch: forward and update DEP3 headers.
[ Carlo Segre ]
* Rebuild with perl 5.14
2011-06-12 - Carlo Segre <segre@debian.org>
libpgplot-perl (1:2.21-2) unstable; urgency=low
* Add dependency on chrpath to remove RPATH from PGPLOT.so
* Add XS-Autobuild: yes field in hope that non-free autobuilders
will permit this package to be built.
* Rebuild with perl 5.12

See Also

Package Description
libpgplot0_1.1.0-1_amd64.deb PGPLOT replacement shared lib based on giza
libpgpool-dev_4.0.2-1_amd64.deb pgpool control protocol library - headers
libpgpool0_4.0.2-1_amd64.deb pgpool control protocol library
libpgraphutil-smlnj_110.79-4_amd64.deb Portable graph utility library for SML Compilation Manager
libpgsbox6_6.2-2_amd64.deb Draw and label curvilinear coordinate grids with pgplot
libpgtcl-dev_2.6.1-1_amd64.deb Tcl client library binding for PostgreSQL - development files
libpgtcl_2.6.1-1_amd64.deb Tcl client library binding for PostgreSQL
libpgtypes3_11.4-1_amd64.deb shared library libpgtypes for PostgreSQL 11
libphobos2-ldc-shared-dev_1.12.0-1_amd64.deb LLVM D Compiler - Standard and runtime libraries, imports
libphobos2-ldc-shared82_1.12.0-1_amd64.deb LLVM D Compiler - Standard and runtime libraries
libphodav-2.0-0_2.2-3_amd64.deb WebDAV server implementation using libsoup
libphodav-2.0-common_2.2-3_all.deb WebDAV server implementation using libsoup (common files)
libphodav-2.0-dev_2.2-3_amd64.deb WebDAV server implementation using libsoup (development files)
libphonenumber-dev_7.1.0-5+b4_amd64.deb parsing/formatting/validating phone numbers - development files
libphonenumber7-java_7.1.0-5_all.deb parsing/formatting/validating phone numbers - java
Advertisement
Advertisement